import 'package:flutter/material.dart';

class CustomerMenuWidget extends StatelessWidget {
  final VoidCallback? onHomePressed;
  final VoidCallback? onProfilePressed;
  const CustomerMenuWidget({super.key, this.onHomePressed, this.onProfilePressed});

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceAround,
      children: [
        GestureDetector(
          onTap: onHomePressed,
          child: Container(
            color: Colors.white,
            alignment: Alignment.center,
            padding: EdgeInsets.all(24),
            child: Text('Home', style: TextStyle(fontSize: 16, fontWeight: FontWeight.bold)),
          ),
        ),
        GestureDetector(
          onTap: onProfilePressed,
          child: Container(
            color: Colors.white,
            alignment: Alignment.center,
            padding: EdgeInsets.all(24),
            child: Text('Profile', style: TextStyle(fontSize: 16, fontWeight: FontWeight.bold)),
          ),
        ),
      ],
    );
  }
}
